package com.fs.statis.mapper;

import com.fs.statis.domain.FsStatisTempFsuser;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * fs_statis_temp_fsuser Mapper 接口
 *
 * @author YourName
 * @since YYYY-MM-DD
 */
@Mapper
public interface FsStatisTempFsuserMapper {

    /**
     * 根据ID查询
     *
     * @param id 主键ID
     * @return 实体对象
     */
    FsStatisTempFsuser selectById(@Param("id") Long id);

    /**
     * 查询所有记录
     *
     * @return 实体对象列表
     */
    List<FsStatisTempFsuser> selectAll();

    /**
     * 新增数据
     *
     * @param fsStatisTempFsuser 实例对象
     * @return 影响行数
     */
    int insert(FsStatisTempFsuser fsStatisTempFsuser);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<FsStatisTempFsuser> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<FsStatisTempFsuser> entities);

    /**
     * 修改数据
     *
     * @param fsStatisTempFsuser 实例对象
     * @return 影响行数
     */
    int updateById(FsStatisTempFsuser fsStatisTempFsuser);

    /**
     * 根据ID删除
     *
     * @param id 主键ID
     * @return 影响行数
     */
    int deleteById(@Param("id") Long id);

    @Delete("truncate table fs_statis_temp_fsuser")
    void clear();
}
